## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global debug_package %{nil}

# https://github.com/89luca89/distrobox/issues/127
%global __brp_mangle_shebangs_exclude_from %{_bindir}/distrobox-(export|init)$

%global forgeurl https://github.com/89luca89/distrobox
%global tag %{version}

Name:    distrobox
Version: 1.6.0.1

%forgemeta

Release: %autorelease
Summary: Another tool for containerized command line environments on Linux 
License: GPLv3
URL:     %{forgeurl}
Source:  %{forgesource}

BuildArch: noarch

BuildRequires: ImageMagick

Requires: (podman or %{_bindir}/docker)
Requires: %{_bindir}/basename
Requires: %{_bindir}/find
Requires: %{_bindir}/grep
Requires: %{_bindir}/sed
Requires: hicolor-icon-theme

Suggests: bash-completions

%description
Use any linux distribution inside your terminal. Distrobox uses podman 
or docker to create containers using the linux distribution of your 
choice. Created container will be tightly integrated with the host, 
allowing to share the HOME directory of the user, external storage, 
external usb devices and graphical apps (X11/Wayland) and audio.

%prep
%forgesetup

%build

%install
./install -P %{buildroot}/%{_prefix}

#install -d -m0755 %{buildroot}%{_docdir}/%{name}
#install -m 0644 docs/*.md %{buildroot}%{_docdir}/%{name}

# Move the icon 
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
mv %{buildroot}%{_datadir}/icons/terminal-distrobox-icon.svg \
   %{buildroot}%{_datadir}/icons/hicolor/scalable/apps

# Generate more icon sizes
for sz in 16 22 24 32 36 48 64 72 96 128 256; do
  mkdir -p %{buildroot}%{_datadir}/icons/hicolor/${sz}x${sz}/apps
  convert terminal-distrobox-icon.svg -resize ${sz}x${sz} \
    %{buildroot}%{_datadir}/icons/hicolor/${sz}x${sz}/apps/terminal-distrobox-icon.png
done

%check
%{buildroot}%{_bindir}/%{name} list -V
for i in create enter export init list rm stop host-exec; do
    %{buildroot}%{_bindir}/%{name}-$i -V
done

%files
%license COPYING.md
%{_mandir}/man1/%{name}*
%{_bindir}/%{name}
%{_bindir}/%{name}-create
%{_bindir}/%{name}-enter
%{_bindir}/%{name}-export
%{_bindir}/%{name}-init
%{_bindir}/%{name}-list
%{_bindir}/%{name}-rm
%{_bindir}/%{name}-stop
%{_bindir}/%{name}-host-exec
%{_bindir}/%{name}-ephemeral
%{_bindir}/%{name}-generate-entry
%{_bindir}/%{name}-upgrade
%{_bindir}/%{name}-assemble
%{_datadir}/icons/hicolor/*/apps/terminal-distrobox-icon.png
%{_datadir}/icons/hicolor/scalable/apps/terminal-distrobox-icon.svg
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/%{name}*

%changelog
* Tue Nov 21 2023 Alessio <alciregi@fedoraproject.org> - 1.6.0.1-1
- Update to 1.6.0.1

* Mon Nov 20 2023 Alessio <alciregi@fedoraproject.org> - 1.6.0-1
- Update to 1.6.0

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jun 24 2023 Alessio <alciregi@fedoraproject.org> - 1.5.0.2-1
- Update to 1.5.0.2

* Wed Jun 21 2023 Alessio <alciregi@fedoraproject.org> - 1.5.0.1-1
- Update to 1.5.0.1

* Mon Jun 19 2023 Alessio <alciregi@fedoraproject.org> - 1.5.0-2
- Removed docs, since they are now web pages sources

* Sun Jun 18 2023 Alessio <alciregi@fedoraproject.org> - 1.5.0-1
- Update to 1.5.0

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Dec 19 2022 Alessio <alciregi@fedoraproject.org> - 1.4.2.1-1
- Update to 1.4.2.1

* Mon Dec 19 2022 Alessio <alciregi@fedoraproject.org> - 1.4.2-2
- Update to 1.4.2.1

* Mon Dec 19 2022 Alessio <alciregi@fedoraproject.org> - 1.4.2-1
- Update to 1.4.2

* Fri Sep 16 2022 Alessio <alciregi@fedoraproject.org> - 1.4.1-1
- Update to 1.4.1 Add bash completion support

* Wed Sep 07 2022 Alessio <alciregi@fedoraproject.org> - 1.4.0-1
- Update to 1.4.0

* Tue Aug 02 2022 Alessio <alciregi@fedoraproject.org> - 1.3.2-4
- commit 7d37aac252d1ba1956c408e223370911e90b73c7

* Tue Aug 02 2022 Alessio <alciregi@fedoraproject.org> - 1.3.2-3
- git commit 7d37aac252d1ba1956c408e223370911e90b73c7

* Tue Aug 02 2022 Alessio <alciregi@fedoraproject.org> - 1.3.2-2
- New sources

* Tue Aug 02 2022 Alessio <alciregi@fedoraproject.org> - 1.3.2-1
- Next release

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Jun 12 2022 alciregi <alciregi@fedoraproject.org> - 1.3.1-1
- Update to 1.3.1

* Sun Jun 12 2022 alciregi <alciregi@fedoraproject.org> - 1.3.0-3
- Update to 1.3.1

* Mon May 30 2022 Alessio <alciregi@fedoraproject.org> - 1.3.0-2
- New sources

* Mon May 30 2022 Alessio <alciregi@fedoraproject.org> - 1.3.0-1
- Update to 1.3.0

* Thu Apr 28 2022 Alessio <alciregi@fedoraproject.org> - 1.2.15-1
- Update to 1.2.15

* Mon Mar 21 2022 Alessio <alciregi@fedoraproject.org> - 1.2.14-1
- Update to 1.2.14

* Mon Mar 21 2022 Alessio <alciregi@fedoraproject.org> - 1.2.13-2
- Update to 1.2.14

* Tue Feb 15 2022 Alessio <alciregi@fedoraproject.org> - 1.2.13-1
- Update to 1.2.13

* Sat Jan 22 2022 alciregi <alciregi@fedoraproject.org> - 1.2.12-1
- Update to 1.2.12 - Use provided install script - Added man pages

* Thu Jan 20 2022 alciregi <alciregi@fedoraproject.org> - 1.2.11-4
- Initial import (fedora#2034246).

* Thu Jan 20 2022 alciregi <alciregi@fedoraproject.org> - 1.2.11-3
- Initial import (fedora#2034246).
